ModCountCopyOnWriteArrayList (Apache CXF JavaDoc 4.2.1 API)
Description: declaration: package: org.apache.cxf.common.util, class: ModCountCopyOnWriteArrayList

Package org.apache.cxf.common.util

# Class ModCountCopyOnWriteArrayList<T>

java.lang.Object
java.util.concurrent.CopyOnWriteArrayList<T>
org.apache.cxf.common.util.ModCountCopyOnWriteArrayList<T>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<T>`, `Collection<T>`, `List<T>`, `RandomAccess`, `SequencedCollection<T>`

public final class ModCountCopyOnWriteArrayList<T> extends CopyOnWriteArrayList<T>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModCountCopyOnWriteArrayList()`
  `ModCountCopyOnWriteArrayList(Collection<? extends T> c)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int index, T element)`
  `boolean`
  `add(T element)`
  `boolean`
  `addAll(int index, Collection<? extends T> c)`
  `boolean`
  `addAll(Collection<? extends T> c)`
  `int`
  `addAllAbsent(Collection<? extends T> c)`
  `boolean`
  `addIfAbsent(T element)`
  `void`
  `clear()`
  `boolean`
  `equals(Object o)`
  `int`
  `getModCount()`
  `int`
  `hashCode()`
  `T`
  `remove(int index)`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`
  `void`
  `setModCount(int i)`

  ### Methods inherited from class java.util.concurrent.CopyOnWriteArrayList

  `addFirst, addLast, clone, contains, containsAll, forEach, get, getFirst, getLast, indexOf, indexOf, isEmpty, iterator, lastIndexOf, lastIndexOf, listIterator, listIterator, removeFirst, removeIf, removeLast, replaceAll, reversed, set, size, sort, spliterator, subList, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

- ## Constructor Details

  - ### ModCountCopyOnWriteArrayList

    public ModCountCopyOnWriteArrayList()

  - ### ModCountCopyOnWriteArrayList

    public ModCountCopyOnWriteArrayList(Collection<? extends T> c)

- ## Method Details

  - ### getModCount

    public int getModCount()

  - ### setModCount

    public void setModCount(int i)

  - ### add

    public void add(int index, T element)
    Specified by:
      `add` in interface `List<T>`
    Overrides:
      `add` in class `CopyOnWriteArrayList<T>`

  - ### add

    public boolean add(T element)
    Specified by:
      `add` in interface `Collection<T>`
    Specified by:
      `add` in interface `List<T>`
    Overrides:
      `add` in class `CopyOnWriteArrayList<T>`

  - ### addAll

    public boolean addAll(Collection<? extends T> c)
    Specified by:
      `addAll` in interface `Collection<T>`
    Specified by:
      `addAll` in interface `List<T>`
    Overrides:
      `addAll` in class `CopyOnWriteArrayList<T>`

  - ### addAll

    public boolean addAll(int index, Collection<? extends T> c)
    Specified by:
      `addAll` in interface `List<T>`
    Overrides:
      `addAll` in class `CopyOnWriteArrayList<T>`

  - ### addAllAbsent

    public int addAllAbsent(Collection<? extends T> c)
    Overrides:
      `addAllAbsent` in class `CopyOnWriteArrayList<T>`

  - ### addIfAbsent

    public boolean addIfAbsent(T element)
    Overrides:
      `addIfAbsent` in class `CopyOnWriteArrayList<T>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<T>`
    Specified by:
      `clear` in interface `List<T>`
    Overrides:
      `clear` in class `CopyOnWriteArrayList<T>`

  - ### remove

    public T remove(int index)
    Specified by:
      `remove` in interface `List<T>`
    Overrides:
      `remove` in class `CopyOnWriteArrayList<T>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<T>`
    Specified by:
      `remove` in interface `List<T>`
    Overrides:
      `remove` in class `CopyOnWriteArrayList<T>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<T>`
    Specified by:
      `removeAll` in interface `List<T>`
    Overrides:
      `removeAll` in class `CopyOnWriteArrayList<T>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<T>`
    Specified by:
      `retainAll` in interface `List<T>`
    Overrides:
      `retainAll` in class `CopyOnWriteArrayList<T>`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Collection<T>`
    Specified by:
      `hashCode` in interface `List<T>`
    Overrides:
      `hashCode` in class `CopyOnWriteArrayList<T>`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in interface `Collection<T>`
    Specified by:
      `equals` in interface `List<T>`
    Overrides:
      `equals` in class `CopyOnWriteArrayList<T>`